Debian Bug report logs - #627208
mysql-5.1: FTBFS with segmentation fault (signal 11) on i386

version graph

Package: src:mysql-5.1; Maintainer for src:mysql-5.1 is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>;

Reported by: Ondřej Surý <ondrej@debian.org>

Date: Wed, 18 May 2011 17:48:04 UTC

Severity: grave

Tags: pending

Merged with 614044

Found in version mysql-5.1/5.1.57-1

Fixed in versions mysql-5.1/5.1.57-1.1, mysql-5.1/5.1.57-2

Done: Norbert Tretkowski <norbert@tretkowski.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#627208; Package mysql-5.1. (Wed, 18 May 2011 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Surý <ondrej@debian.org>:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 18 May 2011 17:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mysql-5.1: FTBFS with segmentation fault (signal 11) on i386
Date: Wed, 18 May 2011 18:16:12 +0200
Package: mysql-5.1
Version: 5.1.57-1
Severity: serious
Tags: sid
Justification: fails to build from source

Full build log here:

https://buildd.debian.org/status/fetch.php?pkg=mysql-5.1&arch=i386&ver=5.1.57-1&stamp=1305389650

Fails with:

Too many failed: Failed 10/576 tests, 98.26% were successful.

Failing test(s): rpl.rpl_ssl rpl.rpl_ssl1 main.func_encrypt main.ssl_8k_key main.ssl_cipher main.func_des_encrypt main.func_encrypt_ucs2 main.openssl_1 main.ssl main.ssl_compress

The log files in var/log may give you some hint of what went wrong.

If you want to report this error, please read first the documentation
at http://dev.mysql.com/doc/mysql/en/mysql-test-suite.html

Too many tests(10) failed! Terminating...
mysql-test-run: *** ERROR: Test suite aborted
make[2]: *** [test-ns] Error 1
make[2]: Leaving directory `/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir'
make[1]: *** [test-force] Error 2
make[1]: Leaving directory `/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir'
make: *** [build-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2

The failure seems to be related to embedded yassl+taocrypt library (which is also probably wrong itself).

So it's either OpenSSL 1.0.0 or new GCC.  You chose :).

BTW I suggest you add gdb (and maybe some -dbg libraries) to
Build-Depends:, so it can generate backtraces automatically if
something fails.

I have also checked if there is a new upstream for taocrypt and:

a) there is
b) it doesn't check the assembly which is failing.

O.

Backtrace snippets from build log:

[...]

CURRENT_TEST: rpl.rpl_ssl


Server [mysqld.1 - pid: 18458, winpid: 18458, exit: 256] failed during test run
Server log from this test:
----------SERVER LOG START-----------
110514 18:47:56 [Note] 'CHANGE MASTER TO executed'. Previous state master_host='', master_port='3306', master_log_file='', master_log_pos='4'. New state master_host='', master_port='3306', master_log_file='', master_log_pos='4'.
110514 18:47:56 - mysqld got signal 11 ;

[...]

CURRENT_TEST: main.func_encrypt
mysqltest: At line 8: query 'insert into t1 values (des_encrypt('The quick red fox jumped over the lazy brown dog','The quick red fox jumped over the lazy brown dog'))' failed: 2013: Lost connection to MySQL server during query

The result from queries just before the failure was:
drop table if exists t1;
create table t1 (x blob);


Server [mysqld.1 - pid: 17971, winpid: 17971, exit: 256] failed during test run
Server log from this test:
----------SERVER LOG START-----------
110514 19:05:46 [Warning] '--default-character-set' is deprecated and will be removed in a future release. Please use '--character-set-server' instead.
110514 19:05:46 [Note] Plugin 'FEDERATED' is disabled.
110514 19:05:46 [Note] Plugin 'InnoDB' is disabled.
110514 19:05:46 [Warning] /build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/sql/mysqld: unknown variable 'loose-debug-sync-timeout=300'
110514 19:05:46 [Note] Event Scheduler: Loaded 0 events
110514 19:05:46 [Note] /build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/sql/mysqld: ready for connections.
Version: '5.1.57-1-log'  socket: '/tmp/8ZwkKJ3GpR/mysqld.1.sock'  port: 13000  (Debian)
110514 19:05:47 - mysqld got signal 11 ;

[...]

CURRENT_TEST: main.ssl_8k_key
mysqltest: At line 5: command "$MYSQL --ssl --ssl-key=$MYSQL_TEST_DIR/std_data/client-key.pem --ssl-cert=$MYSQL_TEST_DIR/std_data/client-cert.pem -e "SHOW STATUS LIKE 'ssl_Cipher'" 2>&1" failed

Output from before failure:
Segmentation fault
exec of '/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/client/mysql --defaults-file=/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/mysql-test/var/my.cnf --ssl --ssl-key=/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/mysql-test/std_data/client-key.pem --ssl-cert=/build/buildd-mysql-5.1_5.1.57-1-i386-RqaC1D/mysql-5.1-5.1.57/builddir/mysql-test/std_data/client-cert.pem -e "SHOW STATUS LIKE 'ssl_Cipher'" 2>&1' failed, error: 35584, status: 139, errno: 0

[...]

I am not able to get full backtrace since:

Reading symbols from /tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld...(no debugging symbols found)...done.

But it looks like it is failing in yassl TaoCrypt::ARC4::AsmProcess:

rpl.rpl_ssl/mysqld.1/data/core

(gdb) bt
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55ddf4c3 in __pthread_kill (threadid=1450167152, signo=11) at ../nptl/sysdeps/unix/sysv/linux/pthread_kill.c:64
#2  0x55a8c98b in my_write_core ()
#3  0x557c3374 in handle_segfault ()
#4  <signal handler called>
#5  0x55ad4c32 in TaoCrypt::ARC4::AsmProcess(unsigned char*, unsigned char const*, unsigned int) ()
#6  0x91febc06 in ?? ()
#7  0x00000000 in ?? ()

rpl.rpl_ssl/mysqld.2/data/core

(gdb) bt
#0  x86_fallback_frame_state (context=0x5648bb2c, fs=0x5648ba6c) at ../../../src/libgcc/../gcc/config/i386/linux-unwind.h:125
#1  uw_frame_state_for (context=0x5648bb2c, fs=0x5648ba6c) at ../../../src/libgcc/../gcc/unwind-dw2.c:1145
#2  uw_frame_state_for (context=0x5648bb2c, fs=0x5648ba6c) at ../../../src/libgcc/../gcc/unwind-dw2.c:1124
#3  0x55f83dd1 in _Unwind_Backtrace (trace=0x5606b480 <backtrace_helper>, trace_argument=0x5648bbc8) at ../../../src/libgcc/../gcc/unwind.inc:290
#4  0x5606b675 in __backtrace (array=0x5648bc2c, size=128) at ../sysdeps/i386/backtrace.c:127
#5  0x55a8c799 in my_print_stacktrace ()
#6  0x557c33dd in handle_segfault ()
#7  <signal handler called>
#8  0x55ad4c2f in TaoCrypt::ARC4::AsmProcess(unsigned char*, unsigned char const*, unsigned int) ()
#9  0x38a95d3a in ?? ()
#10 0x55ad4d58 in TaoCrypt::ARC4::Process(unsigned char*, unsigned char const*, unsigned int) ()
#11 0x55aebb01 in TaoCrypt::RandomNumberGenerator::GenerateBlock(unsigned char*, unsigned int) ()
#12 0x55aebd0e in TaoCrypt::RandomNumberGenerator::RandomNumberGenerator() ()
#13 0x55acc301 in yaSSL::RandomPool::RandomPool() ()
#14 0x55ac506c in yaSSL::Crypto::Crypto() ()
#15 0x55ac7b76 in yaSSL::SSL::SSL(yaSSL::SSL_CTX*) ()
#16 0x55ab53b9 in yaSSL_new ()
#17 0x55a731e7 in ssl_do ()
#18 0x5593ada9 in mysql_real_connect ()
#19 0x558ecae8 in connect_to_master(THD*, st_mysql*, Master_info*, bool, bool) ()
#20 0x558f32c4 in handle_slave_io ()
#21 0x55dd9c39 in start_thread (arg=0x5648db70) at pthread_create.c:304
#22 0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130


main.func_encrypt:

stack_bottom = 0x5642b36c thread_stack 0x30000
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(my_print_stacktrace+0x29) [0x55a8c799]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_segfault+0x4ed) [0x557c33dd]
[0x55dcc400]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(TaoCrypt::DES_EDE3::AsmProcess(unsigned char const*, unsigned char*, void*) const+0x1b) [0x55ad9a8b]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(TaoCrypt::DES_EDE3::Process(unsigned char*, unsigned char const*, unsigned int)+0xee) [0x55adb17e]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(yaSSL::DES_EDE::encrypt(unsigned char*, unsigned char const*, unsigned int)+0x36) [0x55acae66]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(yaDES_ede3_cbc_encrypt+0x147) [0x55ab7637]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(Item_func_des_encrypt::val_str(String*)+0x36c) [0x5576064c]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(Item::save_in_field(Field*, bool)+0x9b) [0x55713c6b]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(fill_record(THD*, Field**, List<Item>&, bool)+0x4d) [0x5580d92d]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(fill_record_n_invoke_before_triggers(THD*, Field**, List<Item>&, bool, Table_triggers_list*, trg_event_type)+0x43) [0x5580d9e3]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_insert(THD*, TABLE_LIST*, List<Item>&, List<List<Item> >&, List<Item>&, List<Item>&, enum_duplicates, bool)+0x982) [0x55842e82]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_execute_command(THD*)+0x1bc7) [0x557d3e37]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_parse(THD*, char*, unsigned int, char const**)+0x301) [0x557daf21]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(dispatch_command(enum_server_command, THD*, char*, unsigned int)+0xfb0) [0x557dbee0]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(do_command(THD*)+0x100) [0x557dc960]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_one_connection+0x269) [0x557cc289]
/lib/i686/cmov/libpthread.so.0(+0x5c39) [0x55dd9c39]
/lib/i686/cmov/libc.so.6(clone+0x5e) [0x560568ee]

main.ssl_8k_key:

Thread pointer: 0x570782a0
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = 0x5645c36c thread_stack 0x30000
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(my_print_stacktrace+0x29) [0x55a8c799]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_segfault+0x4ed) [0x557c33dd]
[0x55dcc400]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(TaoCrypt::ARC4::AsmProcess(unsigned char*, unsigned char const*, unsigned int)+0x5f) [0x55ad4c2f]
[0xf4a0570a]

main.ssl_cipher:

Core generated by '/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld'
Output from gdb follows. The first stack trace is from the failing thread.
The following stack traces are from all threads (so the failing one is
duplicated).
--------------------------
[New Thread 13105]
[New Thread 13066]
[New Thread 13064]
[New Thread 13104]

warning: Can't read pathname for load map: Input/output error.
Core was generated by `/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld --defaults-group-suffix=.1 --d'.
Program terminated with signal 11, Segmentation fault.
#0  x86_fallback_frame_state (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/config/i386/linux-unwind.h:125
125 ../../../src/libgcc/../gcc/config/i386/linux-unwind.h: No such file or directory.
    in ../../../src/libgcc/../gcc/config/i386/linux-unwind.h
#0  x86_fallback_frame_state (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/config/i386/linux-unwind.h:125
#1  uw_frame_state_for (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/unwind-dw2.c:1145
#2  uw_frame_state_for (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/unwind-dw2.c:1124
#3  0x55f83dd1 in _Unwind_Backtrace (trace=0x5606b480 <backtrace_helper>, trace_argument=0x5645b608) at ../../../src/libgcc/../gcc/unwind.inc:290
#4  0x5606b675 in __backtrace (array=0x5645b66c, size=128) at ../sysdeps/i386/backtrace.c:127
#5  0x55a8c799 in my_print_stacktrace ()
#6  0x557c33dd in handle_segfault ()
#7  <signal handler called>
#8  0x55ad4c2f in TaoCrypt::ARC4::AsmProcess(unsigned char*, unsigned char const*, unsigned int) ()
#9  0x0bf857bd in ?? ()
#10 0x55ad4d58 in TaoCrypt::ARC4::Process(unsigned char*, unsigned char const*, unsigned int) ()
#11 0x55aebb01 in TaoCrypt::RandomNumberGenerator::GenerateBlock(unsigned char*, unsigned int) ()
#12 0x55aebd0e in TaoCrypt::RandomNumberGenerator::RandomNumberGenerator() ()
#13 0x55acc301 in yaSSL::RandomPool::RandomPool() ()
#14 0x55ac506c in yaSSL::Crypto::Crypto() ()
#15 0x55ac7b76 in yaSSL::SSL::SSL(yaSSL::SSL_CTX*) ()
#16 0x55ab53b9 in yaSSL_new ()
#17 0x55a731e7 in ssl_do ()
#18 0x557cba8e in check_connection(THD*) ()
#19 0x557cc171 in handle_one_connection ()
#20 0x55dd9c39 in start_thread (arg=0x5645cb70) at pthread_create.c:304
#21 0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 13104):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55de133b in read () at ../sysdeps/unix/syscall-template.S:82
#2  0x55a72b98 in vio_read ()
#3  0x557b99d8 in my_real_read(st_net*, unsigned int*) ()
#4  0x557ba84b in my_net_read ()
#5  0x557dc8de in do_command(THD*) ()
#6  0x557cc289 in handle_one_connection ()
#7  0x55dd9c39 in start_thread (arg=0x5642bb70) at pthread_create.c:304
#8  0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 13064):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x5604fbf1 in select () at ../sysdeps/unix/syscall-template.S:82
#2  0x557c84fa in handle_connections_sockets ()
#3  0x556f59c7 in main ()

Thread 2 (Thread 13066):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55de240d in do_sigwait (set=0x55d3bb6c, sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/../../../../../sysdeps/unix/sysv/linux/sigwait.c:63
#2  0x55de24b0 in __sigwait (set=0x563fa2c8, sig=0x563fa348) at ../nptl/sysdeps/unix/sysv/linux/../../../../../sysdeps/unix/sysv/linux/sigwait.c:100
#3  0x557c2c44 in signal_hand ()
#4  0x55dd9c39 in start_thread (arg=0x563fab70) at pthread_create.c:304
#5  0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 13105):
#0  x86_fallback_frame_state (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/config/i386/linux-unwind.h:125
#1  uw_frame_state_for (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/unwind-dw2.c:1145
#2  uw_frame_state_for (context=0x5645b56c, fs=0x5645b4ac) at ../../../src/libgcc/../gcc/unwind-dw2.c:1124
#3  0x55f83dd1 in _Unwind_Backtrace (trace=0x5606b480 <backtrace_helper>, trace_argument=0x5645b608) at ../../../src/libgcc/../gcc/unwind.inc:290
#4  0x5606b675 in __backtrace (array=0x5645b66c, size=128) at ../sysdeps/i386/backtrace.c:127
#5  0x55a8c799 in my_print_stacktrace ()
#6  0x557c33dd in handle_segfault ()
#7  <signal handler called>
#8  0x55ad4c2f in TaoCrypt::ARC4::AsmProcess(unsigned char*, unsigned char const*, unsigned int) ()
#9  0x0bf857bd in ?? ()
#10 0x55ad4d58 in TaoCrypt::ARC4::Process(unsigned char*, unsigned char const*, unsigned int) ()
#11 0x55aebb01 in TaoCrypt::RandomNumberGenerator::GenerateBlock(unsigned char*, unsigned int) ()
#12 0x55aebd0e in TaoCrypt::RandomNumberGenerator::RandomNumberGenerator() ()
#13 0x55acc301 in yaSSL::RandomPool::RandomPool() ()
#14 0x55ac506c in yaSSL::Crypto::Crypto() ()
#15 0x55ac7b76 in yaSSL::SSL::SSL(yaSSL::SSL_CTX*) ()
#16 0x55ab53b9 in yaSSL_new ()
#17 0x55a731e7 in ssl_do ()
#18 0x557cba8e in check_connection(THD*) ()
#19 0x557cc171 in handle_one_connection ()
#20 0x55dd9c39 in start_thread (arg=0x5645cb70) at pthread_create.c:304
#21 0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130


main.func_des_encrypt:

Thread pointer: 0x56fd8708
Attempting backtrace. You can use the following information to find out
where mysqld died. If you see no messages after this, something went
terribly wrong...
stack_bottom = 0x5645c36c thread_stack 0x30000
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(my_print_stacktrace+0x29) [0x55a8c799]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_segfault+0x4ed) [0x557c33dd]
[0x55dcc400]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(TaoCrypt::DES_EDE3::AsmProcess(unsigned char const*, unsigned char*, void*) const+0x1b) [0x55ad9a8b]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(TaoCrypt::DES_EDE3::Process(unsigned char*, unsigned char const*, unsigned int)+0xee) [0x55adb17e]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(yaSSL::DES_EDE::encrypt(unsigned char*, unsigned char const*, unsigned int)+0x36) [0x55acae66]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(yaDES_ede3_cbc_encrypt+0x147) [0x55ab7637]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(Item_func_des_encrypt::val_str(String*)+0x36c) [0x5576064c]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(Item::send(Protocol*, String*)+0x4e) [0x5571206e]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(+0x25ca08) [0x557b1a08]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(JOIN::exec()+0xbf4) [0x5583be64]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_select(THD*, Item***, TABLE_LIST*, unsigned int, List<Item>&, Item*, unsigned int, st_order*, st_order*, Item*, st_order*, unsigned long long, select_result*, st_select_lex_unit*, st_select_lex*)+0x12f) [0x5583d73f]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_select(THD*, st_lex*, select_result*, unsigned long)+0x173) [0x5583e193]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(+0x277af2) [0x557ccaf2]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_execute_command(THD*)+0x2d51) [0x557d4fc1]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(mysql_parse(THD*, char*, unsigned int, char const**)+0x301) [0x557daf21]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(dispatch_command(enum_server_command, THD*, char*, unsigned int)+0xfb0) [0x557dbee0]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(do_command(THD*)+0x100) [0x557dc960]
/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld(handle_one_connection+0x269) [0x557cc289]
/lib/i686/cmov/libpthread.so.0(+0x5c39) [0x55dd9c39]
/lib/i686/cmov/libc.so.6(clone+0x5e) [0x560568ee]


Core generated by '/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld'
Output from gdb follows. The first stack trace is from the failing thread.
The following stack traces are from all threads (so the failing one is
duplicated).
--------------------------
[New Thread 21153]
[New Thread 14556]
[New Thread 14558]

warning: Can't read pathname for load map: Input/output error.
Core was generated by `/tmp/buildd/mysql-5.1-5.1.57/builddir/sql/mysqld --defaults-group-suffix=.1 --d'.
Program terminated with signal 11, Segmentation fault.
#0  0x55dcc430 in __kernel_vsyscall ()
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55ddf4c3 in __pthread_kill (threadid=1447414640, signo=11) at ../nptl/sysdeps/unix/sysv/linux/pthread_kill.c:64
#2  0x55a8c98b in my_write_core ()
#3  0x557c3374 in handle_segfault ()
#4  <signal handler called>
#5  0x55ad9a8b in TaoCrypt::DES_EDE3::AsmProcess(unsigned char const*, unsigned char*, void*) const ()
#6  0x55adb17e in TaoCrypt::DES_EDE3::Process(unsigned char*, unsigned char const*, unsigned int) ()
#7  0x55acae66 in yaSSL::DES_EDE::encrypt(unsigned char*, unsigned char const*, unsigned int) ()
#8  0x55ab7637 in yaDES_ede3_cbc_encrypt ()
#9  0x5576064c in Item_func_des_encrypt::val_str(String*) ()
#10 0x5571206e in Item::send(Protocol*, String*) ()
#11 0x557b1a08 in select_send::send_data ()
#12 0x5583be64 in JOIN::exec() ()
#13 0x5583d73f in mysql_select(THD*, Item***, TABLE_LIST*, unsigned int, List<Item>&, Item*, unsigned int, st_order*, st_order*, Item*, st_order*, unsigned long long, select_result*, st_select_lex_unit*, st_select_lex*) ()
#14 0x5583e193 in handle_select(THD*, st_lex*, select_result*, unsigned long) ()
#15 0x557ccaf2 in execute_sqlcom_select(THD*, TABLE_LIST*) ()
#16 0x557d4fc1 in mysql_execute_command(THD*) ()
#17 0x557daf21 in mysql_parse(THD*, char*, unsigned int, char const**) ()
#18 0x557dbee0 in dispatch_command(enum_server_command, THD*, char*, unsigned int) ()
#19 0x557dc960 in do_command(THD*) ()
#20 0x557cc289 in handle_one_connection ()
#21 0x55dd9c39 in start_thread (arg=0x5645cb70) at pthread_create.c:304
#22 0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 14558):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55de240d in do_sigwait (set=0x55d3bb6c, sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/../../../../../sysdeps/unix/sysv/linux/sigwait.c:63
#2  0x55de24b0 in __sigwait (set=0x563fa2c8, sig=0x563fa348) at ../nptl/sysdeps/unix/sysv/linux/../../../../../sysdeps/unix/sysv/linux/sigwait.c:100
#3  0x557c2c44 in signal_hand ()
#4  0x55dd9c39 in start_thread (arg=0x563fab70) at pthread_create.c:304
#5  0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 14556):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x5604fbf1 in select () at ../sysdeps/unix/syscall-template.S:82
#2  0x557c84fa in handle_connections_sockets ()
#3  0x556f59c7 in main ()

Thread 1 (Thread 21153):
#0  0x55dcc430 in __kernel_vsyscall ()
#1  0x55ddf4c3 in __pthread_kill (threadid=1447414640, signo=11) at ../nptl/sysdeps/unix/sysv/linux/pthread_kill.c:64
#2  0x55a8c98b in my_write_core ()
#3  0x557c3374 in handle_segfault ()
#4  <signal handler called>
#5  0x55ad9a8b in TaoCrypt::DES_EDE3::AsmProcess(unsigned char const*, unsigned char*, void*) const ()
#6  0x55adb17e in TaoCrypt::DES_EDE3::Process(unsigned char*, unsigned char const*, unsigned int) ()
#7  0x55acae66 in yaSSL::DES_EDE::encrypt(unsigned char*, unsigned char const*, unsigned int) ()
#8  0x55ab7637 in yaDES_ede3_cbc_encrypt ()
#9  0x5576064c in Item_func_des_encrypt::val_str(String*) ()
#10 0x5571206e in Item::send(Protocol*, String*) ()
#11 0x557b1a08 in select_send::send_data ()
#12 0x5583be64 in JOIN::exec() ()
#13 0x5583d73f in mysql_select(THD*, Item***, TABLE_LIST*, unsigned int, List<Item>&, Item*, unsigned int, st_order*, st_order*, Item*, st_order*, unsigned long long, select_result*, st_select_lex_unit*, st_select_lex*) ()
#14 0x5583e193 in handle_select(THD*, st_lex*, select_result*, unsigned long) ()
#15 0x557ccaf2 in execute_sqlcom_select(THD*, TABLE_LIST*) ()
#16 0x557d4fc1 in mysql_execute_command(THD*) ()
#17 0x557daf21 in mysql_parse(THD*, char*, unsigned int, char const**) ()
#18 0x557dbee0 in dispatch_command(enum_server_command, THD*, char*, unsigned int) ()
#19 0x557dc960 in do_command(THD*) ()
#20 0x557cc289 in handle_one_connection ()
#21 0x55dd9c39 in start_thread (arg=0x5645cb70) at pthread_create.c:304
#22 0x560568ee in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130


O.

-- System Information:
Debian Release: squeeze/sid
  APT prefers natty-updates
  APT policy: (500, 'natty-updates'), (500, 'natty-security'), (500, 'natty'), (100, 'natty-backports')
Architecture: i386 (i686)

Kernel: Linux 2.6.38-8-generic (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=cs_CZ.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Removed tag(s) sid. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 26 May 2011 16:48:03 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'serious' Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'mysql-5.1' to 'src:mysql-5.1'. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions 5.1.57-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:33:07 GMT) Full text and rfc822 format available.

Forcibly Merged 614044 627208. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:39:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions mysql-5.1/5.1.57-1. Request was from Ondřej Surý <ondrej@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 09:39:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 627208: 630471 Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Tue, 14 Jun 2011 10:09:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Sat, 18 Jun 2011 17:33:08 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Norbert Tretkowski <nobse@alioth.debian.org> to control@bugs.debian.org. (Wed, 22 Jun 2011 16:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jul 2011 07:31:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:09:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.